2018-12-18 18:09 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000875FSSCPgameplaypublic2006-05-16 11:17
ReporterWanderer 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000875: Subsystem option +untargetable doesnt function
DescriptionAs the summary describes the +untargetable option - when set in table file - doesnt function at all, however when it is set via sexps it works as it should. But (atleast) SoL would also need this option to be set via table files.
Additional InformationTested with 20060323 and 20060327 builds where i could notice the problem. However with 20060306 build (and +non-targetable option) problem didnt exist.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005439

Backslash (developer)

WCSaga is running into this problem too, though they also have problems with $nontargetable (in the model itself). They said that bug was reported but this one is only one I found. Just to make sure: their problem is the $nontargetable subsystem option in a POF no longer works. (Is that a completely separate bug? Should I make a new report?)

Now that I look, the only mention of "$nontargetable" anywhere in the code is in Model\ModelRead.cpp (line 2159), and it is commented out. (and testing it, the code doesn't work because there's no longer such thing as 'targetable' in bsp_info).

~0005441

Goober5000 (administrator)

It was moved from the model file to the ships.tbl file a long time ago. Why are they only noticing this now?

~0005451

Backslash (developer)

They were sticking with some pretty old builds until some OTHER bugs were fixed, most of which are now.

Just curious, when/why was it moved? I did a search on the forums now that that works, only found information on when it was first implemented. I do see now there's been a bit of confusion and miscommunication here and there about this topic, so forgive me for jumping in feet first :-)

If/when this table bug is fixed, they'll gladly switch to that. Let me know if there's anything I can do to help with testing/tracking this bug down. For now I've told them about the SEXP workaround.

~0005452

Goober5000 (administrator)

I forget when it was fixed, but it had something to do with the fact that it's more appropriate, and easier to change, in the table file than in the model file.

It's a pretty easy bug to fix; I just need to take a look at it.

~0005531

Goober5000 (administrator)

Fixed.
+Notes

-Issue History
Date Modified Username Field Change
2006-03-30 00:13 Wanderer New Issue
2006-03-31 11:04 Goober5000 Status new => assigned
2006-03-31 11:04 Goober5000 Assigned To => Goober5000
2006-05-01 05:03 Backslash Note Added: 0005439
2006-05-01 09:37 Goober5000 Note Added: 0005441
2006-05-01 21:09 Backslash Note Added: 0005451
2006-05-02 09:38 Goober5000 Note Added: 0005452
2006-05-16 11:09 Goober5000 Note Added: 0005531
2006-05-16 11:17 Goober5000 Status assigned => resolved
2006-05-16 11:17 Goober5000 Resolution open => fixed
+Issue History